Summary: RPM installer/updater
Name: yum
Epoch: 0
Version: 1.0.3
Release: 6.0.7.x.legacy
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Source1: yum-legacy.conf
Source100: Fedora-GPG-KEY
Source101: RPM-GPG-KEY
Source102: Fedora-Legacy-GPG-KEY
Patch: yum-1.0.3-service-off-by-default.patch
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArchitectures: noarch
BuildRequires: rpm-python python >= 0:1.5.2
Requires: rpm-python >= 0:4.0.4 python >= 0:1.5.2 rpm >= 0:4.0.4
Requires: gnupg
Prereq: /sbin/chkconfig, /sbin/service

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%prep
%setup -q
%patch -p1 -b .off
cp -p %{SOURCE100} %{SOURCE101} %{SOURCE102} .


%build
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/yum.conf


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 -eq 1 ]; then
  /sbin/chkconfig --add yum
fi

%preun
if [ $1 = 0 ]; then
  /sbin/service yum stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del yum
fi

%postun
if [ $1 -gt 1 ]; then
  /sbin/service yum condrestart >/dev/null || :
fi


%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO *-GPG-KEY
%config(noreplace) /etc/yum.conf
%config(noreplace) %{_sysconfdir}/cron.daily/yum.cron
%config %{_sysconfdir}/init.d/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_datadir}/yum
%{_bindir}/*
/var/cache/yum
%{_mandir}/*/*


%changelog
* Sun Jan 25 2004 Jesse Keating <jkeating@j2solutions.net>
- Actually INCLUDE the darn key this time....

* Fri Jan 23 2004 Jesse Keating <jkeating@j2solutions.net>
- include Fedora Legacy key
- by default point to download.fedoralegacy.org

* Mon Jan  5 2004 Charles R. Anderson <cra@wpi.edu> 1.0.3-3.0.7.x.legacy
- correct use of gpgcheck=1 in yum.conf
- make Legacy repo name clearer for less confusion:  packages -> tools
- add default fourth defattr argument for consistency
- default yum service to off
- default yum.conf to exclude kernels
- default yum.conf to exactarch=1
- merge many small changes from fedora.us yum-2 package
- include GPG keys
- Requires: gnupg

* Mon Jan  5 2004 Charles R. Anderson <cra@wpi.edu>
- 2.0.7.x.legacy for RHL 7.x
- package owns /usr/share/yum
- dont redo chkconfig --add on upgrade
- explicit Epoch: 0
- remove use of _sysconfdir macro for yum.conf, since sources don't respect it
- cleanup buildroot deletion

* Mon Sep  8 2003 Seth Vidal <skvidal@phy.duke.edu>
- brown paper-bag 1.0.3

* Mon Sep  8 2003 Seth Vidal <skvidal@phy.duke.edu>
- ver to 1.0.2

* Mon May 19 2003 Seth Vidal <skvidal@phy.duke.edu>
- ver to 1.0.1

* Mon Apr 28 2003 Seth Vidal <skvidal@phy.duke.edu>
- fix up for changes and fhs compliance

* Tue Mar 11 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump ver to 1.0
- fix conf file
- for rhl 7.3

* Sun Dec 22 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to ver 0.9.4
- split spec file for rhl 7x vs 8

* Sun Oct 20 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.3

* Mon Aug 26 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.2

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.1

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver  to 0.9.0

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- added rpm require

* Sun Jun 30 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.9

* Fri Jun 14 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.7

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.5

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.4

* Sun Jun  9 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.2
* Thu Jun  6 2002 Seth Vidal <skvidal@phy.duke.edu>
- First packaging
